# dkim_sig_seterror()

[back to index]

SYNOPSIS

    #include <dkim.h>

    DKIM_STAT dkim_sig_seterror(
    	DKIM_SIGINFO *sig,
    	int err
    );

Set the error value stored for a specific signature.

DESCRIPTION

Called When | `dkim_sig_seterror()` can be called from within the key lookup callback set by `dkim_set_key_lookup()`, if defined.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.
err | A `DKIM_SIGERROR` error code.

NOTES

- Returns `DKIM_STAT_INVALID` if the signature already has an error code assigned to it other than `DKIM_SIGERROR_UNKNOWN`.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.